Post by chiquita87 » Wed Oct 26, 2016 3:10 pm

Guten Morgen liebe Gemeinde.

Ich habe mir vor ca 4 Jahren ein OC-Shop von einer Firma aufsetzen lassen die es mittlerweile nichtmehr gibt. Leider. Ich selbst bin mit diesem Thema wenig vertraut, möchte es aber so gut es geht lernen um künftig Änderungen auch selsbt vornehmen zu kommen. Da ich unsere Seite ´ unbedingt auf einen aktuellen Stand bringen wollte (Responsive etc= und ich momentan eh etwas mehr Zeit habe als sonst habe ich unseren Shop nun von 1.5.x auf 2.3.0.2 geupdatet. Die deutsche Sprachdatei habe ich bereits installiert. Es fehlen aber scheinbar sämtliche Plugins für den Versand und die Zahlungsart. Dies äußert sich wenn ich eine Testbestellung tätige und am Punkt "Versandart" angelange mit folgender Fehlermeldung


Fatal error: Uncaught exception 'Exception' with message 'Error: Could not load model extension/shipping/dhl!' in /www/htdocs/w00f1584/system/engine/loader.php:59 Stack trace: #0 /www/htdocs/w00f1584/catalog/controller/checkout/shipping_method.php(16): Loader->model('extension/shipp...') #1 [internal function]: ControllerCheckoutShippingMethod->index() #2 /www/htdocs/w00f1584/system/engine/action.php(51): call_user_func_array(Array, Array) #3 /www/htdocs/w00f1584/catalog/controller/startup/router.php(25): Action->execute(Object(Registry)) #4 [internal function]: ControllerStartupRouter->index() #5 /www/htdocs/w00f1584/system/engine/action.php(51): call_user_func_array(Array, Array) #6 /www/htdocs/w00f1584/system/engine/front.php(34): Action->execute(Object(Registry)) #7 /www/htdocs/w00f1584/system/engine/front.php(29): Front->execute(Object(Action)) #8 /www/htdocs/w00f1584/system/framework.php(103): Front->dispatch(Object(Action), Object(Action)) #9 /www/htdocs/w00f1584/system/startup.php(124): require_once('/www/htdocs/w in /www/htdocs/w00f1584/system/engine/loader.php on line 59


Reicht es wenn ich die passende DHL / Paypal Extension installiere?

Newbie

Posts

Joined
Thu Oct 20, 2016 6:12 pm

Post by Hannah00 » Wed Oct 26, 2016 3:39 pm

Du kannst es versuchen Opencart Upgrade-Erweiterung um OpenCart 1.5 auf 2.3 automatisch zu aktualisieren.
Es unterstützt migrieren Nicht nur Produkt-, Kunden-, Auftrags-, sondern auch Steuern, Herstellung.
Hoffe es hilfreich.

Opencart migration & upgrade tool


User avatar
New member

Posts

Joined
Wed May 04, 2016 5:09 pm

Post by chiquita87 » Wed Oct 26, 2016 5:51 pm

Da ich bereits auf 2.3 geupdatet habe müsste ich zuerst wieder ein downgrade durchführen. Geht das überhaupt?

Newbie

Posts

Joined
Thu Oct 20, 2016 6:12 pm

Post by OSWorX » Wed Oct 26, 2016 6:10 pm

Nette Werbung von Hannah00 .. mehr schon nicht.

Generell: bei jedem Update (!) - egal von welcher Version auf Version, immer zuvor sichern, sichern und sichern.
Datenbank sowie alle Shopdateien.

Das Update dann mit der Kopie machen, nie den (hoffentlich funktionierenden) Liveshop anrühren.

Als nächstes: 1.5 ist zwar als Angabe nett, aber welche Version exakt??
Denn auch da gibt (gab) es massive Unterschiede - speziell in der Datenbank und den Tabellen.

Weiters: mit wenig Kenntnissen gleich ein solches Riesenupdate zu machen, zeugt von Mut.
Naja.

Was jetzt das Problem der fehlenden Versandart betrifft: generell wurden alle Module (undd damit controller, model und views) in den Ordner extension/ verschoben.

Damit sind wir beim nächsten Problem: alles was bisher zusätzlich an Modulen (Erweiterungen) installiert war, funktioniert nicht mehr!
Nicht ohne diese Erweiterungen komplett anzupassen.
Für jemanden ohne Kenntnisse ein aussichtloses Unterfangen!
Oder er/sie hat mehrere Monate Zeit ...

Somit:
Reicht es wenn ich die passende DHL / Paypal Extension installiere?
Daher ganz einfach: nein.

Wir haben in den letzten Monaten unzählige Kundenshops tw. noch von 1.4.x auf 2.x aktualisiert.
Wäre OpenCart nicht mein tägliches Geschäft, hätte ich das nie machen können.

Nicht dass ich jetzt jemanden mit wenig Wissen ob der Materie eine Aktualisierung ausreden möchte.
Man sollte sich aber halt vorher überlegen was ich möchte: verkaufen oder Programmierung lernen.

Daher: falls Hilfe benötigt wird, kann ich jederzeit kontaktiert werden.

Custom Development | Individuelle Entwicklung | Support & Bugfixes

Image Image Image


User avatar
Guru Member

Posts

Joined
Mon Jan 11, 2010 10:52 pm
Location - Austria

Post by chiquita87 » Tue Nov 01, 2016 2:30 am

Ich habe nun versucht den Shop wieder in den Ursprungszustand zu versetzen. Also alle Daten die ich zuvor via FTP gesichert habe wieder auf den leeren Server kopiert, dann die Installation angestoßen....Resultat:

Warning: mysql_num_rows() expects parameter 1 to be resource, boolean given in /www/htdocs/XXXX/install/model/upgrade.php on line 65


Zeile 65 sieht so aus:

Code: Select all

if (mysql_num_rows(@mysql_query(sprintf("SHOW COLUMNS FROM %s LIKE '%s'", $matches[1],str_replace('`', '', $matches[2])), $connection)) <= 0) { continue; }

Newbie

Posts

Joined
Thu Oct 20, 2016 6:12 pm

Post by OSWorX » Tue Nov 01, 2016 3:11 am

Warum soll wenn eine funktionierende Sicherung (??) wieder eingespielt wird, danach eine Installation gemacht werden?
Und hier ein automatisches Update 'drüber' zu lassen, wäre mir ein zu großes Risiko!

Und vor allem: nie am funktionierenden Shop herumbasteln!
Wenn, dann nur an einer 1:1 Kopie.
Und erst wenn alle funktioniert hat, den neuen Shop Live schalten.

Custom Development | Individuelle Entwicklung | Support & Bugfixes

Image Image Image


User avatar
Guru Member

Posts

Joined
Mon Jan 11, 2010 10:52 pm
Location - Austria

Post by IP_CAM » Tue Nov 01, 2016 3:26 am

Ist aber wohl bereits viel zu spät, da die DB nicht mehr mit der alten OC Version klarkommt, wenn sie bereits von der neuen Installation 'beschädigt' wurde. Das Einzige, was noch helfen würde, wäre, den Hoster zu fragen, ob er noch eine Backup Kopie der alten DB hat, und diese wieder einspielen könnte, andernfalls musst Du Dich einfach damit abfinden, SCH... gebaut zu haben, indem Du etwas zu UPDATEN versuchtest, was eigentlich gar nich UPDATEBAR ist, zumindest nicht, wenn man es so versucht, wie es in der v.1.5 to v.1.5 ONLY Anleitung angezeigt ist.

(an OsWorx: Die v.1.5 to v.1.5 Anleitungs Datei ist übrigens, gemäss meinem aktuellen Download, und aktuellen Wissensstand, bis DATO noch Bestandteil der aktuellen OC v.2.3.x, es ist wirklich nicht zu fassen, mit normalen 'Hirn-Bordmitteln' zumindest, oder dann ganz einfach schon fast böswillige UK-Ignoranz..., bei mir wenigstens führt es langsam, aber sicher, zum ENDgültigen Brechreiz, vom BOSS wahrscheinlich doch nur als Idiot angesehen zu werden...., Einem, der zwar ständig rummault, aber trotzdem versucht, Anderen auch noch zu helfen, damit für ihn die Kohle weiter fliesst.)

Aber nimm es einfach nicht persönlich, es ging bereits ganzen Völkerstämmen so. :D
Und wenn Du trotzdem frustriert bist, vergleiche es einfach mit Windows, kein einziger Mensch würde versuchen,
mit einer Disk voller WIN-10 Dateien eine bestehende XP-Version zu überkopieren, und dann auch noch zu hoffen,
man hätte so ein funktionierendes WIN 10 neu installiert.

Code: Select all

///////////////////////////////////////
///    OpenCart V1.5.x TO 1.5.x     ///
///      Upgrade Instructions       ///
///     http://www.opencart.com     ///
///////////////////////////////////////

NOTE: THIS IS FOR UPGRADE ON EXISTING INSTALLS ONLY!
IF INSTALLING NEW, BE SURE TO READ THE INSTALL.TXT FILE INSTEAD

##########################################
THIS IS FOR UPGRADING EXISTING OPENCART 1.5.x STORES ONLY
THIS IS FOR UPGRADING EXISTING OPENCART 1.5.x STORES ONLY
THIS IS FOR UPGRADING EXISTING OPENCART 1.5.x STORES ONLY 
Viel Glück ! ;)
Ernst
Last edited by IP_CAM on Tue Nov 01, 2016 3:48 am, edited 5 times in total.

I'm no longer active at the OC Forum. To reach me, contact: jti@jacob.ch
A Demoversion of my free OpenCart LIGHT v.1.5.6.5 Software Edition
can be seen in Action here: http://www.jti.li/shop/
---
940+ FREE OC Extension-Repositories - from OC v.1.5.x up,
on the world's largest OC-related Github Site: https://github.com/IP-CAM
---
Image


User avatar
Legendary Member

Posts

Joined
Tue Mar 04, 2014 1:37 am
Location - Switzerland

Post by OSWorX » Tue Nov 01, 2016 3:41 am

IP_CAM wrote:(an OsWorx: Die v.1.5 to v.1.5 Anleitungs Datei ist übrigens, gemäss meinem aktuellen Download, und aktuellen Wissensstand, bis DATO noch Bestandteil der aktuellen OC v.2.3.x, es ist wirklich nicht zu fassen, mit normalen 'Hirn-Bordmitteln' zumindest, oder dann ganz einfach schon fast böswillige UK-Ignoranz..., bei mir wenigstens führt es langsam, aber sicher, zum ENDgültigen Brechreiz...)
Jaaa .. weiß ich .. aba Hongkong is weit wech ..

Custom Development | Individuelle Entwicklung | Support & Bugfixes

Image Image Image


User avatar
Guru Member

Posts

Joined
Mon Jan 11, 2010 10:52 pm
Location - Austria
Who is online

Users browsing this forum: No registered users and 6 guests